package com.muyu.cloud.etl;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;



@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
@MapperScan("com.muyu.cloud.etl.mapper")
public class MuYuEtlApplication {
    public static void main (String[] args) {
        SpringApplication.run(MuYuEtlApplication.class, args);
    }

}
